org.apache.tapestry5.corelib

## Enum ClientValidation

- java.lang.Object
- - java.lang.Enum<ClientValidation>
  - - org.apache.tapestry5.corelib.ClientValidation

- All Implemented Interfaces:
    Serializable, Comparable<ClientValidation>

      public enum ClientValidation
      extends Enum<ClientValidation>

  Controls if and how client-side form input validation occurs.
  Since:
    5.2.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLUR` Deprecated. Deprecated in 5.4, and no longer supported.
    `NONE` Client-side validation is disabled.
    `SUBMIT` Fields only validate when the form submits (validation errors will prevent the form from actually submitting).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientValidation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClientValidation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLUR

          public static final ClientValidation BLUR

      Deprecated. Deprecated in 5.4, and no longer supported.
      Fields validate as the user tabs out of them ("onblur" client side event), as well as when the form submits.

    - #### SUBMIT

          public static final ClientValidation SUBMIT

      Fields only validate when the form submits (validation errors will prevent the form from actually submitting). This is the default behavior.

    - #### NONE

          public static final ClientValidation NONE

      Client-side validation is disabled.

  - ### Method Detail

    - #### values

          public static ClientValidation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientValidation c : ClientValidation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientValidation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.